path: /build/build/lvm2-sys-fs-2.03.32.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-sanlock -selinux -static -valgrind lvm readline thin udev" emerge sys-fs/lvm2 -pv -t && \
    USE="-sanlock -selinux -static -valgrind lvm readline thin udev" emerge -j ${JOBS} --nodeps sys-fs/lvm2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/lvm2 && luet-portage --dir /pkgdir/lvm2
    sys-fs/lvm2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:bb58e2197fd7ee48b9b5e22e8162c76e44a35fa06f970cba98b35b4fb62b3a38
  package:
    name: lvm2
    version: 2.03.32
    category: sys-fs
    use_flags:
    - -sanlock
    - -selinux
    - -static
    - -valgrind
    - lvm
    - readline
    - thin
    - udev
    requires:
    - name: asciidoc
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: test
    uri:
    - https://sourceware.org/lvm2/
    license: GPL-2
    buildtimestamp: 2025-09-19 01:52:56.665640737 +0000 UTC m=+8495.133837145
    labels:
      BDEPEND: sys-devel/autoconf-archive virtual/pkgconfig >=app-portage/elt-patches-20170815
        || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
        virtual/pkgconfig
      DEPEND: udev? ( virtual/libudev:= ) lvm? ( dev-libs/libaio sys-apps/util-linux
        readline? ( sys-libs/readline:= ) sanlock? ( sys-cluster/sanlock ) ) static?
        ( sys-apps/util-linux[static-libs] lvm? ( dev-libs/libaio[static-libs] readline?
        ( sys-libs/readline[static-libs] ) ) selinux? ( sys-libs/libselinux[static-libs]
        ) ) valgrind? ( >=dev-debug/valgrind-3.6 )
      IUSE: +lvm readline sanlock selinux static static-libs thin +udev valgrind kernel_linux
      RDEPEND: udev? ( virtual/libudev:= ) lvm? ( dev-libs/libaio sys-apps/util-linux
        readline? ( sys-libs/readline:= ) sanlock? ( sys-cluster/sanlock ) ) >=sys-apps/baselayout-2.2
        lvm? ( virtual/tmpfiles )
      emerge.packages: sys-fs/lvm2
      kit: core-server-kit
      original.package.name: sys-fs/lvm2
      original.package.slot: "0"
      original.package.version: 2.03.32
    treedir: /build/packages
  package_dir: /pkgdir/lvm2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 02fa185da8cd78b7a267127639ee104d6c97f4aa8be8ef1ac1a395dc55631af3
compressiontype: zstd
files:
- etc/conf.d/device-mapper
- etc/conf.d/lvm
- etc/dmtab
- etc/init.d/device-mapper
- etc/init.d/dmeventd
- etc/init.d/lvm
- etc/init.d/lvm-monitoring
- etc/init.d/lvmpolld
- etc/lvm/lvm.conf
- etc/lvm/lvmlocal.conf
- etc/lvm/profile/cache-mq.profile
- etc/lvm/profile/cache-smq.profile
- etc/lvm/profile/command_profile_template.profile
- etc/lvm/profile/lvmdbusd.profile
- etc/lvm/profile/metadata_profile_template.profile
- etc/lvm/profile/thin-generic.profile
- etc/lvm/profile/thin-performance.profile
- etc/lvm/profile/vdo-small.profile
- lib/udev/rules.d/10-dm.rules
- lib/udev/rules.d/11-dm-lvm.rules
- lib/udev/rules.d/13-dm-disk.rules
- lib/udev/rules.d/69-dm-lvm.rules
- lib/udev/rules.d/95-dm-notify.rules
- lib64/device-mapper/libdevmapper-event-lvm2mirror.so
- lib64/device-mapper/libdevmapper-event-lvm2raid.so
- lib64/device-mapper/libdevmapper-event-lvm2snapshot.so
- lib64/device-mapper/libdevmapper-event-lvm2thin.so
- lib64/device-mapper/libdevmapper-event-lvm2vdo.so
- lib64/libdevmapper-event-lvm2.so.2.03
- lib64/libdevmapper-event-lvm2mirror.so
- lib64/libdevmapper-event-lvm2raid.so
- lib64/libdevmapper-event-lvm2snapshot.so
- lib64/libdevmapper-event-lvm2thin.so
- lib64/libdevmapper-event-lvm2vdo.so
- lib64/libdevmapper-event.so.1.02
- lib64/libdevmapper.so.1.02
- lib64/liblvm2cmd.so.2.03
- sbin/blkdeactivate
- sbin/dmeventd
- sbin/dmfilemapd
- sbin/dmsetup
- sbin/dmstats
- sbin/fsadm
- sbin/lvchange
- sbin/lvconvert
- sbin/lvcreate
- sbin/lvdisplay
- sbin/lvextend
- sbin/lvm
- sbin/lvm_import_vdo
- sbin/lvmconfig
- sbin/lvmdevices
- sbin/lvmdiskscan
- sbin/lvmdump
- sbin/lvmpolld
- sbin/lvmsadc
- sbin/lvmsar
- sbin/lvreduce
- sbin/lvremove
- sbin/lvrename
- sbin/lvresize
- sbin/lvs
- sbin/lvscan
- sbin/pvchange
- sbin/pvck
- sbin/pvcreate
- sbin/pvdisplay
- sbin/pvmove
- sbin/pvremove
- sbin/pvresize
- sbin/pvs
- sbin/pvscan
- sbin/vgcfgbackup
- sbin/vgcfgrestore
- sbin/vgchange
- sbin/vgck
- sbin/vgconvert
- sbin/vgcreate
- sbin/vgdisplay
- sbin/vgexport
- sbin/vgextend
- sbin/vgimport
- sbin/vgimportclone
- sbin/vgimportdevices
- sbin/vgmerge
- sbin/vgmknodes
- sbin/vgreduce
- sbin/vgremove
- sbin/vgrename
- sbin/vgs
- sbin/vgscan
- sbin/vgsplit
- usr/include/libdevmapper-event.h
- usr/include/libdevmapper.h
- usr/include/lvm2cmd.h
- usr/lib/tmpfiles.d/lvm2.conf
- usr/lib64/libdevmapper-event-lvm2.so
- usr/lib64/libdevmapper-event.so
- usr/lib64/libdevmapper.so
- usr/lib64/liblvm2cmd.so
- usr/lib64/pkgconfig/devmapper-event.pc
- usr/lib64/pkgconfig/devmapper.pc
- usr/libexec/lvresize_fs_helper
- usr/share/doc/lvm2-2.03.32/README.bz2
- usr/share/doc/lvm2-2.03.32/VERSION
- usr/share/doc/lvm2-2.03.32/VERSION_DM
- usr/share/doc/lvm2-2.03.32/WHATS_NEW.bz2
- usr/share/doc/lvm2-2.03.32/WHATS_NEW_DM.bz2
- usr/share/doc/lvm2-2.03.32/caching_foreign_vgs.txt.bz2
- usr/share/doc/lvm2-2.03.32/example.conf.bz2
- usr/share/doc/lvm2-2.03.32/example_cmdlib.c.bz2
- usr/share/doc/lvm2-2.03.32/lvm-disk-reading.txt.bz2
- usr/share/doc/lvm2-2.03.32/lvm2-raid.txt.bz2
- usr/share/doc/lvm2-2.03.32/lvm_fault_handling.txt.bz2
- usr/share/doc/lvm2-2.03.32/lvmetad_design.txt.bz2
- usr/share/doc/lvm2-2.03.32/lvmlocal.conf.bz2
- usr/share/doc/lvm2-2.03.32/lvmpolld_overview.txt.bz2
- usr/share/doc/lvm2-2.03.32/pvmove_outline.txt.bz2
- usr/share/doc/lvm2-2.03.32/refactoring.txt.bz2
- usr/share/doc/lvm2-2.03.32/tagging.txt.bz2
- usr/share/doc/lvm2-2.03.32/testing.txt.bz2
- usr/share/doc/lvm2-2.03.32/udev_assembly.txt.bz2
- usr/share/doc/lvm2-2.03.32/unit-tests.txt.bz2
- usr/share/man/man5/lvm.conf.5.bz2
- usr/share/man/man7/lvmautoactivation.7.bz2
- usr/share/man/man7/lvmcache.7.bz2
- usr/share/man/man7/lvmraid.7.bz2
- usr/share/man/man7/lvmreport.7.bz2
- usr/share/man/man7/lvmsystemid.7.bz2
- usr/share/man/man7/lvmthin.7.bz2
- usr/share/man/man7/lvmvdo.7.bz2
- usr/share/man/man8/blkdeactivate.8.bz2
- usr/share/man/man8/dmeventd.8.bz2
- usr/share/man/man8/dmfilemapd.8.bz2
- usr/share/man/man8/dmsetup.8.bz2
- usr/share/man/man8/dmstats.8.bz2
- usr/share/man/man8/fsadm.8.bz2
- usr/share/man/man8/lvchange.8.bz2
- usr/share/man/man8/lvconvert.8.bz2
- usr/share/man/man8/lvcreate.8.bz2
- usr/share/man/man8/lvdisplay.8.bz2
- usr/share/man/man8/lvextend.8.bz2
- usr/share/man/man8/lvm-config.8
- usr/share/man/man8/lvm-dumpconfig.8
- usr/share/man/man8/lvm-fullreport.8.bz2
- usr/share/man/man8/lvm-lvpoll.8.bz2
- usr/share/man/man8/lvm.8.bz2
- usr/share/man/man8/lvm_import_vdo.8.bz2
- usr/share/man/man8/lvmconfig.8.bz2
- usr/share/man/man8/lvmdevices.8.bz2
- usr/share/man/man8/lvmdiskscan.8.bz2
- usr/share/man/man8/lvmdump.8.bz2
- usr/share/man/man8/lvmpolld.8.bz2
- usr/share/man/man8/lvmsadc.8.bz2
- usr/share/man/man8/lvmsar.8.bz2
- usr/share/man/man8/lvreduce.8.bz2
- usr/share/man/man8/lvremove.8.bz2
- usr/share/man/man8/lvrename.8.bz2
- usr/share/man/man8/lvresize.8.bz2
- usr/share/man/man8/lvs.8.bz2
- usr/share/man/man8/lvscan.8.bz2
- usr/share/man/man8/pvchange.8.bz2
- usr/share/man/man8/pvck.8.bz2
- usr/share/man/man8/pvcreate.8.bz2
- usr/share/man/man8/pvdisplay.8.bz2
- usr/share/man/man8/pvmove.8.bz2
- usr/share/man/man8/pvremove.8.bz2
- usr/share/man/man8/pvresize.8.bz2
- usr/share/man/man8/pvs.8.bz2
- usr/share/man/man8/pvscan.8.bz2
- usr/share/man/man8/vgcfgbackup.8.bz2
- usr/share/man/man8/vgcfgrestore.8.bz2
- usr/share/man/man8/vgchange.8.bz2
- usr/share/man/man8/vgck.8.bz2
- usr/share/man/man8/vgconvert.8.bz2
- usr/share/man/man8/vgcreate.8.bz2
- usr/share/man/man8/vgdisplay.8.bz2
- usr/share/man/man8/vgexport.8.bz2
- usr/share/man/man8/vgextend.8.bz2
- usr/share/man/man8/vgimport.8.bz2
- usr/share/man/man8/vgimportclone.8.bz2
- usr/share/man/man8/vgimportdevices.8.bz2
- usr/share/man/man8/vgmerge.8.bz2
- usr/share/man/man8/vgmknodes.8.bz2
- usr/share/man/man8/vgreduce.8.bz2
- usr/share/man/man8/vgremove.8.bz2
- usr/share/man/man8/vgrename.8.bz2
- usr/share/man/man8/vgs.8.bz2
- usr/share/man/man8/vgscan.8.bz2
- usr/share/man/man8/vgsplit.8.bz2
- var/db/pkg/sys-fs/lvm2-2.03.32/BDEPEND
- var/db/pkg/sys-fs/lvm2-2.03.32/BUILD_TIME
- var/db/pkg/sys-fs/lvm2-2.03.32/CATEGORY
- var/db/pkg/sys-fs/lvm2-2.03.32/CBUILD
- var/db/pkg/sys-fs/lvm2-2.03.32/CFLAGS
- var/db/pkg/sys-fs/lvm2-2.03.32/CHOST
- var/db/pkg/sys-fs/lvm2-2.03.32/CONTENTS
- var/db/pkg/sys-fs/lvm2-2.03.32/COUNTER
- var/db/pkg/sys-fs/lvm2-2.03.32/CTARGET
- var/db/pkg/sys-fs/lvm2-2.03.32/CXX
- var/db/pkg/sys-fs/lvm2-2.03.32/CXXFLAGS
- var/db/pkg/sys-fs/lvm2-2.03.32/DEFINED_PHASES
- var/db/pkg/sys-fs/lvm2-2.03.32/DEPEND
- var/db/pkg/sys-fs/lvm2-2.03.32/DESCRIPTION
- var/db/pkg/sys-fs/lvm2-2.03.32/EAPI
- var/db/pkg/sys-fs/lvm2-2.03.32/FEATURES
- var/db/pkg/sys-fs/lvm2-2.03.32/HOMEPAGE
- var/db/pkg/sys-fs/lvm2-2.03.32/INHERITED
- var/db/pkg/sys-fs/lvm2-2.03.32/IUSE
- var/db/pkg/sys-fs/lvm2-2.03.32/IUSE_EFFECTIVE
- var/db/pkg/sys-fs/lvm2-2.03.32/KEYWORDS
- var/db/pkg/sys-fs/lvm2-2.03.32/LDFLAGS
- var/db/pkg/sys-fs/lvm2-2.03.32/LICENSE
- var/db/pkg/sys-fs/lvm2-2.03.32/NEEDED
- var/db/pkg/sys-fs/lvm2-2.03.32/NEEDED.ELF.2
- var/db/pkg/sys-fs/lvm2-2.03.32/PDEPEND
- var/db/pkg/sys-fs/lvm2-2.03.32/PF
- var/db/pkg/sys-fs/lvm2-2.03.32/PROVIDES
- var/db/pkg/sys-fs/lvm2-2.03.32/RDEPEND
- var/db/pkg/sys-fs/lvm2-2.03.32/REQUIRES
- var/db/pkg/sys-fs/lvm2-2.03.32/SIZE
- var/db/pkg/sys-fs/lvm2-2.03.32/SLOT
- var/db/pkg/sys-fs/lvm2-2.03.32/USE
- var/db/pkg/sys-fs/lvm2-2.03.32/environment.bz2
- var/db/pkg/sys-fs/lvm2-2.03.32/lvm2-2.03.32.ebuild
- var/db/pkg/sys-fs/lvm2-2.03.32/repository
package_cacheimage: ""
runtime:
  name: lvm2
  version: 2.03.32
  category: sys-fs
  use_flags:
  - -sanlock
  - -selinux
  - -static
  - -valgrind
  - lvm
  - readline
  - thin
  - udev
  requires:
  - name: libaio
    version: '>=0'
    category: dev-libs
  - name: baselayout
    version: '>=0'
    category: sys-apps
  - name: util-linux
    version: '>=0'
    category: sys-apps
  - name: thin-provisioning-tools
    version: '>=0'
    category: sys-block
  - name: libudev
    version: '>=0'
    category: virtual
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: test
  uri:
  - https://sourceware.org/lvm2/
  license: GPL-2
  labels:
    BDEPEND: sys-devel/autoconf-archive virtual/pkgconfig >=app-portage/elt-patches-20170815
      || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      virtual/pkgconfig
    DEPEND: udev? ( virtual/libudev:= ) lvm? ( dev-libs/libaio sys-apps/util-linux
      readline? ( sys-libs/readline:= ) sanlock? ( sys-cluster/sanlock ) ) static?
      ( sys-apps/util-linux[static-libs] lvm? ( dev-libs/libaio[static-libs] readline?
      ( sys-libs/readline[static-libs] ) ) selinux? ( sys-libs/libselinux[static-libs]
      ) ) valgrind? ( >=dev-debug/valgrind-3.6 )
    IUSE: +lvm readline sanlock selinux static static-libs thin +udev valgrind kernel_linux
    RDEPEND: udev? ( virtual/libudev:= ) lvm? ( dev-libs/libaio sys-apps/util-linux
      readline? ( sys-libs/readline:= ) sanlock? ( sys-cluster/sanlock ) ) >=sys-apps/baselayout-2.2
      lvm? ( virtual/tmpfiles )
    emerge.packages: sys-fs/lvm2
    kit: core-server-kit
    original.package.name: sys-fs/lvm2
    original.package.slot: "0"
    original.package.version: 2.03.32
